Bug 492414 - Kernel call trace while testing startx with nouveau.modeset=1
Kernel call trace while testing startx with nouveau.modeset=1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 14:55 EDT by James Laska
Modified: 2013-09-02 02:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-29 18:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2009-03-26 14:55:02 EDT
Description of problem:

Testing nouveau kms support for the Fedora Test Day https://fedoraproject.org/wiki/QA/Test_Days/2009-03-26) results in a kernel call trace.

Version-Release number of selected component (if applicable):

kernel-2.6.29-0.279.rc8.git6.fc11.x86_64
xorg-x11-drv-nouveau-0.0.12-15.20090323git4067ab4.fc11.x86_64


Steps to Reproduce:
1. Boot the test day live image into runlevel 3 with the kernel argument "nouveau.modeset=1"
2. Login, and type 'startx'
  
Actual results:

==> /var/log/messages <==
Dec 30 20:33:25 hp-xw9300 kernel: [drm] Allocating FIFO number 0
Dec 30 20:33:25 hp-xw9300 kernel: [drm] nouveau_fifo_alloc: initialised FIFO 0
Dec 30 20:33:25 hp-xw9300 kernel: BUG: unable to handle kernel NULL pointer dereference at (null)
Dec 30 20:33:25 hp-xw9300 kernel: IP: [<ffffffff811a3422>] __list_add+0x3f/0x81
Dec 30 20:33:25 hp-xw9300 kernel: PGD 33444067 PUD 33433067 PMD 0 
Dec 30 20:33:25 hp-xw9300 kernel: Oops: 0000 [#1] SMP 
Dec 30 20:33:25 hp-xw9300 kernel: last sysfs file: /sys/devices/pci0000:00/0000:00:0e.0/0000:0a:00.0/resource
Dec 30 20:33:25 hp-xw9300 kernel: CPU 0 
Dec 30 20:33:25 hp-xw9300 kernel: Modules linked in: sco bridge stp llc bnep l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 dm_multipath uinput snd_intel8x0 serio_raw firewire_ohci k8temp snd_ac97_codec hwmon firewire_core pcspkr ac97_bus crc_itu_t forcedeth snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm pata_amd snd_timer snd soundcore snd_page_alloc i2c_nforce2 ata_generic pata_acpi sata_nv ext4 jbd2 crc16 nouveau drm i2c_core [last unloaded: freq_table]
Dec 30 20:33:25 hp-xw9300 kernel: Pid: 2503, comm: X Tainted: G        W  2.6.29-0.279.rc8.git6.fc11.x86_64 #1 HP xw9300 Workstation
Dec 30 20:33:25 hp-xw9300 kernel: RIP: 0010:[<ffffffff811a3422>]  [<ffffffff811a3422>] __list_add+0x3f/0x81
Dec 30 20:33:25 hp-xw9300 kernel: RSP: 0018:ffff88003346dc48  EFLAGS: 00010046
Dec 30 20:33:25 hp-xw9300 kernel: RAX: ffff88003cd49128 RBX: ffff88003cd49128 RCX: ffff880033dfa3c0
Dec 30 20:33:25 hp-xw9300 kernel: RDX: ffff88003cd49128 RSI: 0000000000000000 RDI: ffff88003346dcb8
Dec 30 20:33:25 hp-xw9300 kernel: RBP: ffff88003346dc68 R08: 0000000000000000 R09: 0000000000000001
Dec 30 20:33:25 hp-xw9300 kernel: R10: ffff8800031c9ec0 R11: 0000000000000246 R12: 0000000000000000
Dec 30 20:33:25 hp-xw9300 kernel: R13: ffff88003346dcb8 R14: ffffffffa0018671 R15: ffff88003cd490e8
Dec 30 20:33:25 hp-xw9300 kernel: FS:  00007fa5962617d0(0000) GS:ffffffff8197b000(0000) knlGS:0000000000000000
Dec 30 20:33:25 hp-xw9300 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 30 20:33:25 hp-xw9300 kernel: CR2: 0000000000000000 CR3: 000000003343c000 CR4: 00000000000006e0
Dec 30 20:33:25 hp-xw9300 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Dec 30 20:33:25 hp-xw9300 kernel: DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Dec 30 20:33:25 hp-xw9300 kernel: Process X (pid: 2503, threadinfo ffff88003346c000, task ffff880033dfa3c0)
Dec 30 20:33:25 hp-xw9300 kernel: Stack:
Dec 30 20:33:25 hp-xw9300 kernel: ffff880033dfa3c0 ffff88003cd490e0 ffff880033dfa3c0 ffffffffffffffff
Dec 30 20:33:25 hp-xw9300 kernel: ffff88003346dd18 ffffffff81396233 ffffffffa0018671 ffffffff81587a80
Dec 30 20:33:25 hp-xw9300 kernel: ffff88003346dce8 0000000000000246 0000000000000002 ffff88003cd49128
Dec 30 20:33:25 hp-xw9300 kernel: Call Trace:
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81396233>] __mutex_lock_common+0x12a/0x399
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa0018671>] ? drm_mode_getresources+0x34/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81396560>] mutex_lock_nested+0x3c/0x41
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa0018671>] drm_mode_getresources+0x34/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810dd16f>] ? __kmalloc+0x10b/0x149
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81070988>] ? trace_hardirqs_on_caller+0x1f/0x153
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81070ac9>] ? trace_hardirqs_on+0xd/0xf
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa001863d>] ? drm_mode_getresources+0x0/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa000ed82>] drm_ioctl+0x1fe/0x297 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810f0e9c>] vfs_ioctl+0x6f/0x87
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810f131f>] do_vfs_ioctl+0x46b/0x4ac
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810f13b6>] sys_ioctl+0x56/0x79
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Dec 30 20:33:25 hp-xw9300 kernel: Code: ec 08 4c 8b 42 08 49 39 f0 74 20 49 89 d1 48 89 f1 48 c7 c2 5e 25 4e 81 be 1a 00 00 00 48 c7 c7 13 25 4e 81 31 c0 e8 fd 9b ea ff <4d> 8b 04 24 49 39 d8 74 20 4d 89 e1 48 89 d9 48 c7 c2 ab 25 4e 
Dec 30 20:33:25 hp-xw9300 kernel: RIP  [<ffffffff811a3422>] __list_add+0x3f/0x81
Dec 30 20:33:25 hp-xw9300 kernel: RSP <ffff88003346dc48>
Dec 30 20:33:25 hp-xw9300 kernel: CR2: 0000000000000000
Dec 30 20:33:25 hp-xw9300 kernel: ---[ end trace f18c0d8c034e3362 ]---
Dec 30 20:33:25 hp-xw9300 kernel: BUG: sleeping function called from invalid context at kernel/rwsem.c:21
Dec 30 20:33:25 hp-xw9300 kernel: in_atomic(): 0, irqs_disabled(): 1, pid: 2503, name: X
Dec 30 20:33:25 hp-xw9300 kernel: INFO: lockdep is turned off.
Dec 30 20:33:25 hp-xw9300 kernel: irq event stamp: 0
Dec 30 20:33:25 hp-xw9300 kernel: hardirqs last  enabled at (0): [<(null)>] (null)
Dec 30 20:33:25 hp-xw9300 kernel: hardirqs last disabled at (0): [<ffffffff8104b6cf>] copy_process+0x577/0x13a9
Dec 30 20:33:25 hp-xw9300 kernel: softirqs last  enabled at (0): [<ffffffff8104b6cf>] copy_process+0x577/0x13a9
Dec 30 20:33:25 hp-xw9300 kernel: softirqs last disabled at (0): [<(null)>] (null)
Dec 30 20:33:25 hp-xw9300 kernel: Pid: 2503, comm: X Tainted: G      D W  2.6.29-0.279.rc8.git6.fc11.x86_64 #1
Dec 30 20:33:25 hp-xw9300 kernel: Call Trace:
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8106ea72>] ? print_irqtrace_events+0xd0/0xd4
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810440a6>] __might_sleep+0x119/0x11e
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8139687b>] down_read+0x24/0x82
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810812b7>] acct_collect+0x47/0x1b7
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810507f2>] do_exit+0x19c/0x8a0
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8104d6b2>] ? release_console_sem+0x1c3/0x1f4
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff813990ec>] oops_end+0xbf/0xc7
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8139acb7>] do_page_fault+0x946/0xa13
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa00aaf2e>] ? jbd2_journal_stop+0x30c/0x31e [jbd2]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810ff91a>] ? __mark_inode_dirty+0x36/0x178
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa00cfa3e>] ? __ext4_journal_stop+0x68/0x6e [ext4]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81398650>] ? error_sti+0x5/0x6
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8106fa58>] ? trace_hardirqs_off_caller+0x1f/0xac
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff813975fe>] ? trace_hardirqs_off_thunk+0x3a/0x3c
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa0018671>] ? drm_mode_getresources+0x34/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81398415>] page_fault+0x25/0x30
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa0018671>] ? drm_mode_getresources+0x34/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff811a3422>] ? __list_add+0x3f/0x81
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8106e2e5>] ? debug_mutex_add_waiter+0x28/0x6c
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81396233>] __mutex_lock_common+0x12a/0x399
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa0018671>] ? drm_mode_getresources+0x34/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81396560>] mutex_lock_nested+0x3c/0x41
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa0018671>] drm_mode_getresources+0x34/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810dd16f>] ? __kmalloc+0x10b/0x149
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81070988>] ? trace_hardirqs_on_caller+0x1f/0x153
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff81070ac9>] ? trace_hardirqs_on+0xd/0xf
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa001863d>] ? drm_mode_getresources+0x0/0x554 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffffa000ed82>] drm_ioctl+0x1fe/0x297 [drm]
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810f0e9c>] vfs_ioctl+0x6f/0x87
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810f131f>] do_vfs_ioctl+0x46b/0x4ac
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff810f13b6>] sys_ioctl+0x56/0x79
Dec 30 20:33:25 hp-xw9300 kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b
Dec 30 20:33:25 hp-xw9300 kernel: [drm:drm_release] *ERROR* Device busy: 1

Expected results:


Additional info:
Comment 1 Ben Skeggs 2009-03-29 18:17:45 EDT
This is on an earlier model card than GeForce 8 I take it?  If so, modesetting isn't supported on your chipset yet unfortunately.  kernel-2.6.29-16.fc11 and xorg-x11-drv-nouveau-0.0.12-18.20090327gitf1907dc.fc11 should fix the issue where the 2D driver tries to use modesetting when not supported, which is what's causing this oops.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.